Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Compiling Eclipse 3.2
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
Evilguru
Guru
Guru


Joined: 16 Aug 2005
Posts: 380
Location: England

PostPosted: Mon Jul 10, 2006 10:22 am    Post subject: Compiling Eclipse 3.2 Reply with quote

I am currently having great difficulty compiling eclipse 3.2, mainly with package versions being incompatible. Here is what an emerge -avuDN world gives me:
Code:

[ebuild     U ] dev-java/ant-core-1.6.5-r13 [1.6.2-r5] USE="doc -source" 0 kB
[ebuild     U ] dev-java/ant-tasks-1.6.2-r10 [1.6.2-r9] USE="-javamail -noantlr -nobcel -nobeanutils -nobsf% -nobsh -nocommonslogging -nocommonsnet -nojdepend -nojsch -nojython -nolog4j -nooro -noregexp -norhino -noxalan -noxerces" 0 kB
[ebuild     U ] dev-java/ant-tasks-1.6.5-r2 [1.6.2-r9] USE="-javamail -noantlr -nobcel -nobeanutils -nobsf% -nobsh -nocommonslogging -nocommonsnet -nojdepend -nojsch -nojython -nolog4j -nooro -noregexp -norhino -noxalan -noxerces" 0 kB
[ebuild  NS   ] dev-util/eclipse-sdk-3.2  USE="cairo no-seamonkey opengl -gnome" 80,031 kB

I say okay, but when it tried to compile dev-java/ant-tasks-1.6.2-r10 I get
Code:

[... lines omitted]
BUILD SUCCESSFUL
Total time: 13 seconds
... Cleaning Up Build Directories
... Done Bootstrapping Ant Distribution
Invalid implementation version between Ant core and Ant optional tasks.
 core    : 1.6.5
 optional: 1.6.2

!!! ERROR: dev-java/ant-tasks-1.6.2-r10 failed.
Call stack:
  ebuild.sh, line 1539:   Called dyn_compile
  ebuild.sh, line 939:   Called src_compile
  ant-tasks-1.6.2-r10.ebuild, line 80:   Called die

!!! build failed
!!! If you need support, post the topmost build error, and the call stack if relevant.


Can anyone help me?
Back to top
View user's profile Send private message
gami
Apprentice
Apprentice


Joined: 02 Jun 2006
Posts: 297

PostPosted: Mon Jul 10, 2006 10:46 am    Post subject: Reply with quote

You need to add ant-tasks to your /etc/portage/package.keywords as well. You seem to have the other ant packages already set to use ~x86.
Code:
echo ~dev-java/ant-tasks-1.6.5 ~x86 >> /etc/portage/package.keywords

Make sure you follow the Gentoo Java Upgrade Guide.
Back to top
View user's profile Send private message
Evilguru
Guru
Guru


Joined: 16 Aug 2005
Posts: 380
Location: England

PostPosted: Mon Jul 10, 2006 11:13 am    Post subject: Reply with quote

I do not think that that is the problem:
Code:

genware Programming # cat /etc/portage/package.keywords | grep ant
kde-base/atlantikdesigner
kde-base/quanta
kde-base/atlantik
dev-java/ant-tasks
dev-java/ant-core
Back to top
View user's profile Send private message
gami
Apprentice
Apprentice


Joined: 02 Jun 2006
Posts: 297

PostPosted: Mon Jul 10, 2006 12:22 pm    Post subject: Reply with quote

Have you got ant-tasks masked (e.g. in /etc/portage/package.mask)? The latest unstable version in portage is ant-tasks-1.6.5-r2.
Back to top
View user's profile Send private message
Evilguru
Guru
Guru


Joined: 16 Aug 2005
Posts: 380
Location: England

PostPosted: Mon Jul 10, 2006 1:03 pm    Post subject: Reply with quote

No, I do not have it masked, as it wants to emerge it:
[ebuild U ] dev-java/ant-tasks-1.6.5-r2 [1.6.2-r9] USE="-javamail -noantlr -nobcel -nobeanutils

Should I try masking the older versions?
Back to top
View user's profile Send private message
gami
Apprentice
Apprentice


Joined: 02 Jun 2006
Posts: 297

PostPosted: Mon Jul 10, 2006 1:54 pm    Post subject: Reply with quote

Evilguru wrote:
No, I do not have it masked, as it wants to emerge it:
[ebuild U ] dev-java/ant-tasks-1.6.5-r2 [1.6.2-r9] USE="-javamail -noantlr -nobcel -nobeanutils

Should I try masking the older versions?

The version it wants to emerge now is the correct one (1.6.5, before it was 1.6.2)! Just go ahead with it.
Back to top
View user's profile Send private message
Evilguru
Guru
Guru


Joined: 16 Aug 2005
Posts: 380
Location: England

PostPosted: Mon Jul 10, 2006 4:57 pm    Post subject: Reply with quote

After masking ant-tasks and ant-core 1.6.2 and un-masking ant 1.6.5 I managed to get some stuff to emerge. But ant-tasks still fails with:
Code:

>>> Install ant-tasks-1.6.5-r2 into /var/tmp/portage/ant-tasks-1.6.5-r2/image/ category dev-java

!!! ERROR: dev-java/ant-tasks-1.6.5-r2 failed.
Call stack:
  ebuild.sh, line 1539:   Called dyn_install
  ebuild.sh, line 1013:   Called src_install
  ant-tasks-1.6.5-r2.ebuild, line 80:   Called java-pkg_dojar 'build/lib/ant-*.jar'
  java-utils-2.eclass, line 194:   Called die

!!! build/lib/ant-*.jar does not exist
!!! If you need support, post the topmost build error, and the call stack if relevant.

!!! When you file a bug report, please include the following information:
GENTOO_VM=blackdown-jdk-1.4.2  CLASSPATH="" JAVA_HOME="/opt/blackdown-jdk-1.4.2.03"
JAVACFLAGS="-source 1.4 -target 1.4" COMPILER=""
and of course, the output of emerge --info
Back to top
View user's profile Send private message
Evilguru
Guru
Guru


Joined: 16 Aug 2005
Posts: 380
Location: England

PostPosted: Mon Jul 10, 2006 8:17 pm    Post subject: Reply with quote

Anyone have any ideas? Or is getting ant to work correctly on Gentoo a lost cause :P
Back to top
View user's profile Send private message
dStulle
n00b
n00b


Joined: 14 Jun 2005
Posts: 45
Location: China / Shanghai

PostPosted: Mon Jul 10, 2006 9:25 pm    Post subject: Reply with quote

you should have a look at:
http://forums.gentoo.org/viewtopic-t-408798.html
_________________
$ cat /dev/urandom | md5sum > /dev/null

or visit http://mam.dstulle.de/
Back to top
View user's profile Send private message
Evilguru
Guru
Guru


Joined: 16 Aug 2005
Posts: 380
Location: England

PostPosted: Mon Jul 10, 2006 9:38 pm    Post subject: Reply with quote

dStulle wrote:
you should have a look at:
http://forums.gentoo.org/viewtopic-t-408798.html

I managed to fix the version conflict problem, and just need to fix this install problem now.
Back to top
View user's profile Send private message
gami
Apprentice
Apprentice


Joined: 02 Jun 2006
Posts: 297

PostPosted: Tue Jul 11, 2006 8:26 am    Post subject: Reply with quote

Ant 1.6.5 works fine on Gentoo. So there's hope for you :)

Try the following.
Code:
emerge -Ca ant-core ant-tasks ant
emerge ant-core ant-tasks ant


This should give you a complete fresh installation of ant in case any errors from your previous attempts still linger.
Back to top
View user's profile Send private message
Evilguru
Guru
Guru


Joined: 16 Aug 2005
Posts: 380
Location: England

PostPosted: Tue Jul 11, 2006 8:47 am    Post subject: Reply with quote

I removed ant (-core and tasks) and then also then rm -r /usr/share/ant-core and tried to emerge them again and got:
Code:

>>> Emerging (2 of 3) dev-java/ant-tasks-1.6.5-r2 to /
>>> checking ebuild checksums ;-)
>>> checking auxfile checksums ;-)
>>> checking miscfile checksums ;-)
>>> checking apache-ant-1.6.5-src.tar.bz2 ;-)
 * Using: blackdown-jdk-1.4.2
>>> Unpacking source...
>>> Unpacking apache-ant-1.6.5-src.tar.bz2 to /var/tmp/portage/ant-tasks-1.6.5-r2/work
>>> Source unpacked.
>>> Compiling source in /var/tmp/portage/ant-tasks-1.6.5-r2/work/apache-ant-1.6.5 ...
Buildfile: build.xml

prepare:

check_for_optional_packages:

BUILD FAILED
java.lang.UnsupportedClassVersionError: antlr/Tool (Unsupported major.minor version 49.0)

Total time: 2 seconds
>>> Source compiled.
>>> Test phase [not enabled]: dev-java/ant-tasks-1.6.5-r2

>>> Install ant-tasks-1.6.5-r2 into /var/tmp/portage/ant-tasks-1.6.5-r2/image/ category dev-java

!!! ERROR: dev-java/ant-tasks-1.6.5-r2 failed.
Call stack:
  ebuild.sh, line 1539:   Called dyn_install
  ebuild.sh, line 1013:   Called src_install
  ant-tasks-1.6.5-r2.ebuild, line 80:   Called java-pkg_dojar 'build/lib/ant-*.jar'
  java-utils-2.eclass, line 194:   Called die

!!! build/lib/ant-*.jar does not exist
!!! If you need support, post the topmost build error, and the call stack if relevant.

!!! When you file a bug report, please include the following information:
GENTOO_VM=blackdown-jdk-1.4.2  CLASSPATH="" JAVA_HOME="/opt/blackdown-jdk-1.4.2.03"
JAVACFLAGS="-source 1.4 -target 1.4" COMPILER=""
and of course, the output of emerge --info
genware share #                                   
Back to top
View user's profile Send private message
gami
Apprentice
Apprentice


Joined: 02 Jun 2006
Posts: 297

PostPosted: Tue Jul 11, 2006 10:12 am    Post subject: Reply with quote

Now we are on to something. You have some packages (at least antlr) previously compiled with java 1.5 on your system. Please consult the Gentoo Java Upgrade Guide and follow the steps there first before trying to install any more java packages.
Back to top
View user's profile Send private message
Evilguru
Guru
Guru


Joined: 16 Aug 2005
Posts: 380
Location: England

PostPosted: Wed Jul 12, 2006 11:11 am    Post subject: Reply with quote

Right, running java-fixer seems to have fixed my problem with getting ant, but I am now having trouble getting eclipse itself, the problem: the JVM keeps seg faulting during the compile process at random points.

I have no idea why, but it is starting to annoy me. I do not get seg faults when compiling things using GCC and my RAM is fine (checked it with memtest86+). So, does anyone know if there is a binary package of it available as it is huge and compiling it does not make any sense to me.
Back to top
View user's profile Send private message
nichoj
Retired Dev
Retired Dev


Joined: 15 Aug 2005
Posts: 66

PostPosted: Wed Jul 12, 2006 1:41 pm    Post subject: Reply with quote

Which JDK and version are you using? You may want to test with a different JDK on your arch. See the Java User Guide:

http://www.gentoo.org/doc/en/java.xml
_________________
Joshua Nichols
Gentoo/Ruby Developer
Back to top
View user's profile Send private message
Evilguru
Guru
Guru


Joined: 16 Aug 2005
Posts: 380
Location: England

PostPosted: Thu Jul 13, 2006 9:31 am    Post subject: Reply with quote

After switching to the Sun 1.4 JDK everything 'just worked' and it compiled first time!

Thank you very much for all of your help.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum